Kerbal Space Program - Bug #6002

Mammoth collider oversized, other parts not visibly in contact can collide.
11/29/2015 02:07 AM - dpitch40

Status: Closed Start date: 11/29/2015
Severity: Unworthy % Done: 100%
Assignee:

Category: Parts

Target version: 1.2.1

Version: 1.0.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| am noticing a strange issue occurring in some cases when | try to add radial stages with Mammoth engines. To avoid the radial
stages colliding with the central stage on decoupling, | place the radial decouplers near the tops of the radial stages, which should
torque them so their tops rotate outward away from the central stage on detachment. However, in some cases, | am seeing the radial
stages torque inward rather than outward; the decouplers appear to pull in rather than push out. This appears to occur when
Mammoth engines are placed next to certain components (like 3.75m fuel tanks or other Mammoths). Removing the radial Mammoth
engines or replacing them with Rhino engines causes the torque to work as expected.

e Expected behavior: radial decouplers mounted near the tops of radial stages should torque them so their tops rotate away from
the central stage (as this guide explains)

¢ Observed behavior: in some cases, they instead torque the radial stages in the opposite of the expected direction, so their tops
rotate inward, rather than outward

¢ To reproduce: construct a rocket with Mammoth engines on the central and radial stages at the same vertical level, with the
radial stages attached via Hydraulic Detachment Manifolds near their tops. Decoupling should torque the radial stages in the
opposite of the expected way. Replacing the radial Mammoths with empty S3-7200 tanks also triggers the inverted torque. |
have also seen the same effect with Twin Boar engines.

| have observed this with no gameplay-affecting mods installed. Some examples demonstrating the bug (gravity hacked to show the
torque more clearly, all radial tanks are empty):

e With Mammoths on central and radial stages: Torque is reversed from normal, and appears to be stronger than normal.

e With no engines on the radial stages: Torque is applied normally

e With empty S3-7200 tanks on the radial stages: Torque is reversed, but weaker than with radial Mammoths.

e With a Rhino engine in the center and Mammoths on the radial stages: Torque works normally; also works if the radial engines
are replaced with Rhinos

History

#1 - 12/02/2015 11:10 AM - sal_vager

- File screenshot62.png added

- File screenshot63.png added

| know what causes this, the mammoths collision mesh.

When you decouple, the boosters become new vessels and physics collisions between the vessels are enabled, parts by the mammoth clip it slightly
because the decoupler is too thin and the impact is enough to push the parts away with more force than the decoupler.

In addition, the "reversed torque" effect still occurs even when decoupler force is set to zero, the decouplers cannot pull parts towards them with zero
force.

The rhino has a different sized collider so there is no collision.

This issue can be avoided by not having the boosters so close to the central stage as in the pics attached where wider decouplers are used, the
torque is there and it is correct but it's superseded by the strength of the collisions.

#2 - 12/03/2015 01:17 PM - sal_vager

- Subject changed from Torque is reversed when decoupling radial stages if the radial and central stages both have Mammoth/Twin Boar engines to
Mammoth collider oversized, other parts not visibly in contact can collide.
http://imgur.com/a/5WKGB
https://gfycat.com/AcrobaticBewitchedItalianbrownbear
https://gfycat.com/PleasantSatisfiedEgg
https://gfycat.com/GiftedAlienatedArachnid
https://gfycat.com/JoyousSmallDutchshepherddog

- Category changed from Physics to Parts

- Status changed from New to Confirmed

- Severity changed from Normal to Unworthy
- % Done changed from 0 to 10

- Platform Any added

- Platform deleted (Windows)

Changing to category "parts" and priority "unworthy" as per the guide.

Renaming to avoid confusion, setting to confirmed.

Leaving as "bug" as players do not expect clipping from parts not visibly in contact.

#3 - 07/17/2016 09:41 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 10/19/2016 08:11 AM - Fwiffo

I'm experiencing this exact issue as well, under the 1.2 release. Took me ages to figure out where the "phantom torque" was coming from.

TriggerAu, you changed the status to "Needs Clarification". Can you let me know what further information you need; hopefully | can help? In short,
the collider for the Mammoth is a bit too big radially compared to the visual size of the part.

See also: https://www.reddit.com/r/KerbalAcademy/comments/3ull7x/radiallyattached_boosters_are_torquing_the_wrong/

#6 - 10/23/2016 06:54 AM - TriggerAu
- Status changed from Needs Clarification to Being Worked On
- Assignee set to TriggerAu

- % Done changed from 0 to 30

Working on the colliders

#7 - 11/02/2016 06:21 AM - JPLRepo

- Status changed from Being Worked On to Ready to Test
- Assignee deleted (TriggerAu)

- Target version set to 1.2.1

- % Done changed from 30 to 80

#8 - 11/06/2016 07:42 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. Issue was resolved in KSP 1.2.1.
